<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dotspice
 * @version 1.3.0
 */

get_header();

if ( have_posts() ) :

	// Archive Description
	the_archive_description( '<div class="archive-description">', '</div>' );

	?>
		<div class="row blog-post__list nc-3">
			<?php
				while ( have_posts() ) : the_post();

					// Get Post Template
					get_template_part( 'templates/content', get_post_type() );
				endwhile;
			?>
		</div>

		<div class="pagination">
			<?php
				echo paginate_links( array(
					'prev_text' => __('←'),
					'next_text' => __('→'),
				) ); ?>
		</div>
	<?php
else:

	get_template_part( 'templates/content', 'none' );
endif;

get_footer(); ?>